Info: dette er ikke ændringsloggen for seneste stabile version 4.13.1
se alle skifter

Pro v2.7.2 - kompatibilitet og bugfix-frigivelse - er tilgængelig

v2.7.2 er en kompatibilitets- og bugfix-udgivelse, der fokuserer på at øge den overordnede brugbarhed på frontend og backend. Jeg vil især takke alle brugere, der rapporterer problemer og plugin-konflikter, som også kunne løses med denne udgivelse.

En opdatering til den nyeste version anbefales - som altid - stærkt. For mere information om denne udgivelse se nedenfor.


Fortæl os, hvad du synes om denne nye udgivelse af indsender en anmeldelse eller efterlade en kommentar nedenfor!

Hvis du vil holde dig opdateret med den nyeste Maps Marker Pro-udvikling, skal du følge @MapsMarker på twitter (= mest aktuelle opdateringer), den Facebook, Google+ eller abonnere på nyheder via RSS eller via RSS / e-mail.

Vi vil også gerne invitere dig til at deltage i vores affiliate program som tilbyder provisioner op til 50%. Hvis du er interesseret i at blive forhandler, kan du besøge https://www.mapsmarker.com/reseller


Lad os nu komme til højdepunkterne i pro v2.7.2:

ny massehandling for at slette tildelte markører på lagredigeringssiden

På lagredigeringssider kan du nu slette tildelte markører fra tabellen i bulk:

bulk--delete-lag-side

Tak Chris for den værdifulde feedback!

tilføj kompatibilitetsindstilling for kort, der skal indlæses korrekt i proprietære faneløsninger og skjulte divs

Maps Marker Pro understøtter allerede visning af kort korrekt i faner oprettet med jQuery UI faner og bootstrap faner. Hvad der hidtil fik os nogle hovedpine var proprietære faneløsninger eller kort, der blev indlæst i skjulte divs og vist ved klik på efterspørgsel - dette kunne resultere i, at kort ikke blev fuldt indlæst.

Så med v2.7.2 tilføjede vi nu en ny generel kompatibilitetsindstillinger under Settings / Misc / General Settings:

Fanen-kompatibilitet-indstilling

Aktivér denne indstilling kun, hvis du oplever problemer med kort i proprietære faneløsninger eller skjulte divs, der vises efter behov.

Vis fejlmeddelelse, hvis brugerne forsøger at tildele en markør direkte til et flerlagskort

At markører ikke kan tildeles direkte til flerlagskort, men kun til lag, der bruges i flerlagskort, er muligvis ikke intuitivt - især for nye brugere. Med v2.7.2 forsøgte vi at forbedre dette ved at vise en alarminformation med relateret information, hvis en bruger forsøger at tildele en markør til et flerlagskort:

MLM-opgave-fejl

Andre ændringer og optimeringer

  • “Skift lag-ID” -funktion på værktøjssiden opdaterer nu også lag-id, der bruges i flerlagskort (thx Coen!)
  • fjernet ikonbreddeindstilling for widgets (da ikonet blev forvrænget)
  • opdateret minimum anbefalet PHP-version til indbygget PHP-kontrol til 5.6 - understøtter wpupdatephp.com

Fejlrettelser

  • kompatibilitet til ContactForm7-formularer i popuptexter på lagkort
  • opskalering til MapQuest OSM-basemaps til zoomniveau 18+ blev brudt (thx Michael!)
  • lagkort kunne bruges, hvis der blev brugt en speciel indstillingskombination til liste over markører (thx Lynn!)
  • nylig markørwidget: vis separatorlinjer-, vis popup-tekst- og vis ikonindstillinger fungerede ikke som designet (thx Harald!)
  • nylig markørwidget: mulighed for at indstille farveværdi for skillelinie blev brudt
  • kontroltegn som faner i markørens navn kunne ødelægge lagkort med aktiveret liste over markører (thx Peter!)
  • REST API-fejl "Den specificerede bruger har allerede API-nøgler, eller den specificerede bruger findes ikke."
  • kompatibilitetskontrol for WP-eksterne links-plugin fungerede ikke mere siden v2.0 (thx Oleg!)
  • prøveperiode uafhængig adgang til frontend kort på localhost installationer blev brudt
  • lag (r) tildeling-dropdown blev ikke bestilt af lag-ID på markørredigering- og værktøjssiden (thx Coen!)
  • javascript udefineret advarsel for listen over markører, hvis nonce er ændret
  • Funktionen “skift lag-ID” på værktøjssiden opdaterede ikke tildelte markører siden v2.4 (thx Coen!)
  • "Liste over markører" -tabel på lagredigeringssider for flerlagskort med alle tildelte markører blev ikke vist korrekt

Kendte problemer

Geolocation-funktionen fungerer ikke længere med Google Chrome 50+, medmindre dit websted er sikkert tilgængeligt via https

Med Chrome 50 foretaget Google en betydelig ændring af geolocation-understøttelsen af ​​sin browser: alle applikationer, der anmoder om den aktuelle position for brugeren (ikke kun for Maps Marker Pro's geolocation-funktion) har kun tilladelse til at hente brugerens aktuelle position, hvis sitet er indstillet til at blive leveret sikkert via https - brugere vil se følgende advarsel i stedet:

geolocation-fejl-info

Se flere detaljer om denne beslutning fra Google på https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. Geolocation fungerer stadig på ikke-https-websteder, hvis brugerne får adgang til webstedet via alternative browsere som Firefox, Safari eller Internet Explorer - det kan alligevel sandsynligvis være, at disse browsere også vil tilføje en lignende sikkerhedsbegrænsning i fremtiden.

Så hvis du har brug for Maps Marker Pro geolocation featue på dit websted (som med v2.7 endda bliver mere anvendelig, da du kan sortere listen over markører baseret på brugerens aktuelle position), anbefales det kraftigt at migrere dit websted til https. Nogle hosters leverer allerede gratis https-certifikater fra letsencrypt.org for eksempel. For konfigurationer, der er nødvendige på dit WordPress-sted for at konfigurere det til at understøtte https, skal du se på tutorials som https://css-tricks.com/moving-to-https-on-wordpress/.

Da https har flere fordele for dit websted end blot geolocation, der arbejder igen med Google Chrome 50+ (som at sikre dataintegriteten, afsendergodkendelse og brugerens privatliv samt højere Google-placering, da https bruges som rangeringssignal), anbefaler vi kraftigt at skifte dit websted til https kun, hvis du ikke har gjort det endnu.

Oversættelser opdateringer

Takket være mange motiverede bidragydere inkluderer denne udgivelse følgende opdaterede oversættelser:

Hvis du vil bidrage til oversættelser (nye hindi-oversættere vil blive værdsat!), Kan du besøge https://translate.mapsmarker.com/projects/lmm for mere information.

Bemærk, at oversættere også kompenseres for deres bidrag - for eksempel hvis en oversættelse er færdig med mindre end 50%, får oversætteren en gratis 25 licenspakke til en værdi af € 249 som en kompensation for at afslutte oversættelsen til 100%.

Outlook - planer for de næste udgivelser

Forstå, at vi ikke er i stand til at love nogen frigivelsesdatoer for nye funktioner. Det køreplan for store nye funktioner giver dig en idé, hvor Maps Marker Pro er på vej - alligevel vil vi bare bevare fleksibiliteten til at tilføje optimeringer og fejlfixer med temmelig ikke planlagte mindre udgivelser, der hovedsageligt skyldes brugernes feedback.

Abonner venligst på denne blog (via RSS or E-mail) eller følg @MapsMarker på twitter (= mest aktuelle opdateringer), hvis du vil holde dig opdateret med de seneste udviklingsnyheder.

Fuld changelog

ny massehandling for at slette tildelte markører på lagredigeringssiden (thx Chris!)
tilføj kompatibilitetsindstilling for kort, der skal indlæses korrekt i proprietære faneløsninger og skjulte divs
Vis fejlmeddelelse, hvis brugerne forsøger at tildele en markør direkte til et flerlagskort
“Skift lag-ID” -funktion på værktøjssiden opdaterer nu også lag-id, der bruges i flerlagskort (thx Coen!)
fjernet ikonbreddeindstilling for widgets (da ikonet blev forvrænget)
opdateret minimum anbefalet PHP-version til indbygget PHP-kontrol til 5.6 - understøtter wpupdatephp.com
kompatibilitet til ContactForm7-formularer i popuptexter på lagkort
opskalering til MapQuest OSM-basemaps til zoomniveau 18+ blev brudt (thx Michael!)
lagkort kunne bruges, hvis der blev brugt en speciel indstillingskombination til liste over markører (thx Lynn!)
nylig markørwidget: vis separatorlinjer-, vis popup-tekst- og vis ikonindstillinger fungerede ikke som designet (thx Harald!)
nylig markørwidget: mulighed for at indstille farveværdi for skillelinie blev brudt
kontroltegn som faner i markørens navn kunne ødelægge lagkort med aktiveret liste over markører (thx Peter!)
REST API-fejl "Den specificerede bruger har allerede API-nøgler, eller den specificerede bruger findes ikke."
kompatibilitetskontrol for WP-eksterne links-plugin fungerede ikke mere siden v2.0 (thx Oleg!)
prøveperiode uafhængig adgang til frontend kort på localhost installationer blev brudt
lag (r) tildeling-dropdown blev ikke bestilt af lag-ID på markørredigering- og værktøjssiden (thx Coen!)
javascript udefineret advarsel for listen over markører, hvis nonce er ændret
Funktionen “skift lag-ID” på værktøjssiden opdaterede ikke tildelte markører siden v2.4 (thx Coen!)
"Liste over markører" -tabel på lagredigeringssider for flerlagskort med alle tildelte markører blev ikke vist korrekt
Geolocation-funktionen fungerer ikke længere med Google Chrome 50+, medmindre dit websted er sikkert tilgængeligt via https (detaljer)
Oversættelsesopdateringer
Hvis du vil hjælpe med oversættelser, kan du besøge webbaseret oversættelsesplatform
opdateret tysk oversættelse
opdateret litauisk oversættelse takket være Donatas Liaudaitis - http://www.transleta.co.uk og Ovidijus - http://www.manokarkle.lt
opdateret russisk oversættelse takket være Ekaterina Golubina (understøttet af Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://slavblog.ru

Vis alle tilgængelige changelogs

Sådan downloades / opdateres

Den nemmeste måde at opdatere er at bruge WordPress-opdateringsprocessen: log ind med en bruger, der har administratorrettigheder, naviger til Dashboard / Updates, vælg plugins, der skal opdateres, og tryk på knappen “Update Plugins”. Pro-plugin kontrollerer hver 12. time, hvis en ny version er tilgængelig. Du kan også udløse opdateringskontrollen manuelt ved at gå til Plugins og klikke på linket "Manuelt kontrollere for opdateringer" ved siden af ​​"Maps Marker Pro":

manuel-update-kontrol

Hvis du ikke kan se linket "Kontroller for opdateringer" og bruger en version nedenfor 1.7, skal du opdatere manuelt en gang ved at downloade den aktuelle pakke fra https://www.mapsmarker.com/download-pro og overskriv de eksisterende plugin-filer på din server via FTP. Dette kan være nødvendigt på flere værter, der bruger forældede SSL-biblioteker, der forhindrer Maps Marker Pro i at oprette en sikker forbindelse til at hente opdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning på den slags servere, og følgende opdateringer skal fungere igen som sædvanligt. Hvis du er berørt og har brug for hjælp, så tak åbne en support billet.

Sådan kontrolleres integriteten af ​​plugin-pakken

SHA-256 hashværdi:

4EC2DB8D4FD314166E7F63CA85CC838222DCCEDCD2879DBD3D730E1F47052CAF

Klik her for en tutorial om, hvordan du verificerer integriteten af ​​plugin-pakken (anbefales, hvis plugin-pakken til en ny installation ikke blev downloadet fra https://www.mapsmarker.com - verifikation er dog ikke nødvendig, hvis den automatiske opdateringsproces bruges)

Yderligere opdateringsnotater til betatestere

Ingen yderligere trin er påkrævet, hvis du opdaterer fra en betaversion.

Efterlad en kommentar

XHTML: Du kan bruge disse tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X